Subject: [OPSAWG] Quick review of draft-evenwu-opsawg-yang-composed-vpn-03

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 9 Aug 2019 18:07:26 +0100

Hey authors,

I reviewed -02 back in March and sent you a pile of comments mainly with suggested text changes.

You posted -03 shortly after, and I just checked - looks like you made all of the changes. Thanks.

While looking through the current version, I see a few bits and pieces that could be fixed.

I'm aware that we are polishing this draft to a level normally associated with a WG draft, so I hope we are going to advance this work (otherwise we're wasting our time 😉)

Best,
Adrian

===

idnits has a little to say. Some of it can be ignored, but...

>  == The document doesn't use any RFC 2119 keywords, yet has text resembling
>     RFC 2119 boilerplate text.

The fix is s/[RFC2119] and [RFC8174]/[RFC2119] [RFC8174]/

> ** There are 80 instances of too long lines in the document, the longest
>      one being 35 characters in excess of 72.

Figure 3 just needs a very small edit

Some of this is in the YANG and can be easily fixed by manual folding of text strings.
There is also some folding that looks safe.

In section 8, the folding might need draft-ietf-netmod-artwork-folding.

The figure in section 8 can also stand some simple edits.

It's just the tree in section 5 that is going to be hard work.

---

A question about Figure 1. The text says that the composed VPN model can be an input to the process. Maybe show this as an extra arrow coming into the Network Orchestrator.

It would also be good to label the flows south of the network Orchestrator to match the text.

---

Section 3

s/added ,the/added, the/

---

5.2.2.2 has "combined VPN" and I think it should be "composed VPN"

---

Section 9 might just highlight the imports that are necessary.

---

OLD
Appendix A.  Acknowledges
NEW
Appendix A.  Acknowledgements
END

---